use messages;

CREATE TABLE  `messages`.`request` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `requestTimeStamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `clientSeqID` int(10) unsigned NOT NULL,
  `systemSeqID` int(10) unsigned NOT NULL,
  `sendingTimeStamp` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `clientID` int(10) unsigned NOT NULL,
  `supplierID` int(10) unsigned NOT NULL DEFAULT '0',
  `clientAddress` varchar(100) DEFAULT NULL,
  `destinationAddress` varchar(100) DEFAULT NULL,
  `msgProp1` int(10) DEFAULT NULL,
  `msgProp2` int(10) DEFAULT NULL,
  `msgProp3` int(10) DEFAULT NULL,
  `msgProp4` int(10) DEFAULT NULL,
  `msgProp5` int(10) DEFAULT NULL,
  `msgProp6` int(10) DEFAULT NULL,
  `msgProp7` varchar(100) DEFAULT NULL,
  `msgProp8` int(10) DEFAULT NULL,
  `retryAttempt` int(10) unsigned zerofill NOT NULL COMMENT 'indicates the retry attempt for reprocessing messages',
  `msg` blob NOT NULL COMMENT 'The contents as byte[] that has to be send to the vendor. This includes the system generated sequence number.',
  PRIMARY KEY (`id`),
  KEY `Index_1` (`clientSeqID`)
) ENGINE=MyISAM AUTO_INCREMENT=1972581 DEFAULT CHARSET=latin1;

CREATE TABLE  `messages`.`response` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `clientID` int(10) unsigned NOT NULL,
  `systemSeqID` int(10) unsigned NOT NULL,
  `supplierID` int(10) unsigned NOT NULL,
  `responseTimeStamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `msgID` varchar(45) NOT NULL,
  `status` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1586253 DEFAULT CHARSET=latin1;
