package com.richards.connector;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

import org.apache.log4j.Logger;

public class Connector {

	private String userName;
	private String password;
	private String url;
	private String dbName;
	private int batchSize;
	private long batchTimeout;
	private String driver;
	private final static Connector connector = new Connector();

	public static Connector getConnector() {
		return connector;
	}

	private static Logger logger = Logger.getLogger(Connector.class);

	private Connector() {
		url = "jdbc:mysql://192.168.2.6:3306/";
		dbName = "messages";
		userName = "root";
		password = "sa";
		batchSize = 50;
		batchTimeout = 1000L;
		driver = "com.mysql.jdbc.Driver";
	}

	public Connection getConnection() throws SQLException,
			InstantiationException, IllegalAccessException,
			ClassNotFoundException {
		Connection conn = null;
		Class.forName(driver).newInstance();
		conn = DriverManager.getConnection(url + dbName, userName, password);
		return conn;
	}

	public String getUserName() {
		return userName;
	}

	public String getPassword() {
		return password;
	}

	public String getUrl() {
		return url;
	}

	public String getDbName() {
		return dbName;
	}

	public int getBatchSize() {
		return batchSize;
	}

	public long getBatchTimeout() {
		return batchTimeout;
	}

	public String getDriver() {
		return driver;
	}

}
